package com.sqx.modules.pay.service;

import com.sqx.common.utils.Result;

import java.math.BigDecimal;


/**
 * @author fang
 * @date 2020/2/26
 */
public interface WxService {

    Result payOrder(Long id, Integer classify) throws Exception;

    Result wxPayMoney(BigDecimal money, Integer classify, Long userId, Integer type) throws Exception;


    String payBack(String resXml,Integer type);

    boolean refund(String ordersNo);

}